Projects

Update project

PUT
/projects/{id}.json

Update an existing project

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

id*|

Project ID or identifier

Request Body

application/json
  1. body
project*

Project update payload. All properties are optional.

Response Body

Success without content. Redmine < 4.1 responds with 200 instead of 204.

curl -X PUT 'https://redmine.example.com/projects/0.json' \  -H 'Content-Type: application/json' \  -d '{  "project": {}}'
Empty